curl --request POST \
--url https://api.tagada.io/api/public/v1/customers/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"pageSize": 20,
"sortBy": {
"field": "createdAt",
"direction": "desc"
}
}
'{
"items": [
{
"id": "cus_123",
"storeId": "store_123",
"storeName": "My Store",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe",
"createdAt": "2024-03-20T10:30:00Z",
"lastOrderId": "ord_123",
"paymentInstrumentCardLast4": "1234",
"tags": [
"segment:vip",
"source:facebook"
]
}
],
"total": 150,
"page": 1,
"pageSize": 20,
"totalPages": 8
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}customers
List customers
List activated customers with filtering, sorting and pagination. Customers are activated when their first order, payment, or subscription is created; a successful payment is not required. Creating a customer alone does not include it in this list. Retrieve a customer by ID using GET /customers/ before activation.
POST
/
api
/
public
/
v1
/
customers
/
list
curl --request POST \
--url https://api.tagada.io/api/public/v1/customers/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"pageSize": 20,
"sortBy": {
"field": "createdAt",
"direction": "desc"
}
}
'{
"items": [
{
"id": "cus_123",
"storeId": "store_123",
"storeName": "My Store",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe",
"createdAt": "2024-03-20T10:30:00Z",
"lastOrderId": "ord_123",
"paymentInstrumentCardLast4": "1234",
"tags": [
"segment:vip",
"source:facebook"
]
}
],
"total": 150,
"page": 1,
"pageSize": 20,
"totalPages": 8
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Response
Successful response
